### org.jfree.layouting.input.style.parser.stylehandler.hyperlinks

# Class TargetReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.hyperlinks.TargetReadHandler`

Implemented Interfaces:
  CSSCompoundValueReadHandler

`public class TargetReadHandler`
`extends java.lang.Object`
`implements CSSCompoundValueReadHandler`

Creation-Date: 28.11.2005, 19:34:19

Author:
  Thomas Morgner

  ## Constructor Summary

  `TargetReadHandler()`

  ## Method Summary

  `Map`

  `createValues(LexicalUnit unit)`
    Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.

  `StyleKey[]`

  `getAffectedKeys()`

## Constructor Details

### TargetReadHandler

    public TargetReadHandler()

## Method Details

### createValues

    public Map createValues(LexicalUnit unit)

> Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.
> Specified by:
>   createValues in interface CSSCompoundValueReadHandler
> Parameters:
>   `unit` -
> Returns:

### getAffectedKeys

    public StyleKey[] getAffectedKeys()

> Specified by:
>   getAffectedKeys in interface CSSCompoundValueReadHandler